Newer
Older
#!/bin/sh
#------------------------------------------------------------------------------
# ========= |
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 2011-2016 OpenFOAM Foundation
#------------------------------------------------------------------------------
# This file is part of OpenFOAM, licensed under GNU General Public License
# <http://www.gnu.org/licenses/>.
#
# Script
# makeFiles
#
# Description
# Scan the current directory for source files and construct Make/files
#
# Usage : makeFiles
#
#------------------------------------------------------------------------------
dirToString=$WM_DIR/platforms/$WM_ARCH$WM_COMPILER/dirToString
echo "Error: Make/files already exists - exiting" 1>&2
[ -x "$dirToString" ] || {
echo "Error: no command $dirToString" 1>&2
exit 1
}
#------------------------------------------------------------------------------
echo "Creating Make/files"
for dir in $(find . -mindepth 1 -type d -print)
case "$dir" in
. | ./Make | ./lnInclude )
echo "$(echo $dir | $dirToString -strip) = ${dir#./}"
[ -s Make/files ] && echo >> Make/files
for file in $(find . -name "*.[cCylLfF]" -type f -print)
pathName=$(echo ${file%/*} | $dirToString -strip)
echo '$('$pathName')/'"${file##*/}"
echo "${file##*/}"
done >> Make/files
echo 'EXE = $(FOAM_APPBIN)/'"${PWD##*/}" >> Make/files
#------------------------------------------------------------------------------